Subject: [Sip] RE: SIP Identity and RFC 3893

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 1 May 2006 12:57:11 -0400

My short answer is no, I don't think so. In part this is because there is a need for third-party authentication for mechanisms like Referred-By (RFC3892), and it's not at all clear that sip-identity could be adapted to those needs. Speaking more to S/MIME in general, although sip-identity provides an integrity property for SIP message bodies, it doesn't provide a confidentiality property. There are a few significant use cases today that still require confidentiality for SIP message bodies, notably some of our media security schemes. Pending some of the work in play on the rtpsec list, of course, that particular need could change over time. But I certainly wouldn't say that we're in a position to deprecate S/MIME yet.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]]
> Sent: Wednesday, April 19, 2006 10:35 AM
> To: [email-masked]; Peterson, Jon
> Subject: SIP Identity and RFC 3893
> 
> 
> Jon,
> 
> Does sip-identity-06 make RFC 3893 (the AIB format for 
> S/MIME) obsolete?
> 
> Sip-identity is remarkably silent about RFC 3893. It sorts of hints in the 
> introduction that sip-identity is an alternative to S/MIME, but it is not
> very specific.
> 
> The changelog (which will be removed upon publication) sheds a bit of light
> on the history behind this (i.e., in -01 we switched from AIB to new header).
> 
> Should RFC 3893 (which is currently "Standards Track") be deprecated 
> (moved to historical or whatever)? I'm kind of worried about developper 
> confusion between sip-identity and RFC 3893.
> 
> Also, to add a little more confusion to this, there is "normative" reference
> to RFC 3893 in sip-identity which, it seems to me, should be "informative".
> 
> ----
> François AUDET, Nortel Networks
> mailto:[email-masked]
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip